Last Comment Bug 559088 - Port |Bug 518641 - "make package-tests" doesn't work right on OS X universal builds| to comm-1.9.1
: Port |Bug 518641 - "make package-tests" doesn't work right on OS X universal ...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: 1.9.1 Branch
: All Mac OS X
: -- normal (vote)
: ---
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 518641 526817
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 09:51 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-05-10 04:42 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.5-fixed


Attachments
(Av1) Port it, With bug 526817 too [Checkin: Comment 5] (2.33 KB, patch)
2010-04-13 10:05 PDT, Serge Gautherie (:sgautherie)
standard8: approval‑thunderbird3.0.5+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-04-13 09:51:13 PDT
Port bug 526817 patch Bv1 too.

See discussion in bug 526817.
Comment 1 Serge Gautherie (:sgautherie) 2010-04-13 10:05:10 PDT
Created attachment 438786 [details] [diff] [review]
(Av1) Port it, With bug 526817 too
[Checkin: Comment 5]

Per your bug 526817 comment 10.
Comment 2 Robert Kaiser (not working on stability any more) 2010-04-13 11:00:36 PDT
What exactly doesn't work on 1.9.1 without this? I see our packaged tests working quite well on SeaMonkey2.0, so I wonder what's up here.
Comment 3 Serge Gautherie (:sgautherie) 2010-04-13 11:27:04 PDT
Comment on attachment 438786 [details] [diff] [review]
(Av1) Port it, With bug 526817 too
[Checkin: Comment 5]

(In reply to comment #2)
> What exactly doesn't work on 1.9.1 without this?

What's not clear in my bug 526817 comment 12?

>+else
>+package-tests::
>+	$(MAKE) -C mozilla $@

Needed to match
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/59e1a6f8fd05

>+	      --unify-with-sort "all-test-dirs\.list$$" \

Wanted to prevent oranges.
Comment 4 Mark Banner (:standard8) 2010-04-28 08:55:04 PDT
Note: that a+ is subject to this not breaking the Thunderbird tinderboxes. If it is going to break them then it should wait until we've picked up the latest m-1.9.1 code.
Comment 5 Mark Banner (:standard8) 2010-05-06 11:04:20 PDT
Checked in: http://hg.mozilla.org/releases/comm-1.9.1/rev/b237aadcfb4c
Comment 6 Mark Banner (:standard8) 2010-05-10 04:42:50 PDT
Verifying as this is build config only and hasn't affected the builds.

Note You need to log in before you can comment on or make changes to this bug.